> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/feedback/feedbackapi.md).

# FeedbackApi

Use this API to submit feedback on SDK detections.

## FeedbackApi API

### `submitOccupantRoleFeedback()`

Submits feedback for the detected occupant role of a specified transport. This feedback is utilized to enhance the accuracy of occupant role detection in future transport instances.

It is important to note that submitting feedback will not alter the occupant role currently assigned to the transport.

Returns the feedback result. See [OccupantRoleFeedbackResult](/important-topics/sdk/api-reference/android/feedback/occupantrolefeedbackresult.md).

Throws SdkException if the SDK is not initialized.

```java
OccupantRoleFeedbackResult submitOccupantRoleFeedback(
        String transportId,
        OccupantRoleFeedback occupantRole
);
```

<table><thead><tr><th width="220">Parameters</th><th></th></tr></thead><tbody><tr><td>transportId</td><td>The identifier of the transport for which feedback is being provided.</td></tr><tr><td>occupantRole</td><td>The correct occupant role. See <a href="/pages/jl0CBX4i34764iv1ftDz">OccupantRoleFeedback</a>.</td></tr></tbody></table>

### `submitVehicleCrashDetectionFeedback()`

Submits feedback about a vehicle crash, whether it was detected and reported by the Sentiance SDK or occurred in real life but was not detected.

This feedback is used by Sentiance to analyze incidents and improve the accuracy and reliability of future crash detections.

Returns the feedback result. See [VehicleCrashDetectionFeedbackResult](/important-topics/sdk/api-reference/android/feedback/vehiclecrashdetectionfeedbackresult.md).

Throws SdkException if the SDK is not initialized.

```java
VehicleCrashDetectionFeedbackResult submitVehicleCrashDetectionFeedback(
        VehicleCrashDetectionFeedback vehicleCrashDetectionFeedback
);
```

<table><thead><tr><th width="287.09197998046875">Parameters</th><th></th></tr></thead><tbody><tr><td>vehicleCrashDetectionFeedback</td><td>The vehicle crash detection feedback. See <a href="/pages/8AF9x6wNRKFxEmTtV01K">VehicleCrashDetectionFeedback</a>.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/feedback/feedbackapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
